Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Lessons

Get Lesson Statistics
GET /training/lessons/statistics
https://api.relesysapp.net/api/v1.4/training/lessons/statistics
Get a list of Course Lesson Statistics for participation - including calculated values for users without any completions.
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
completionRate double Filterable Sortable optional
courseLessonId string / guid Filterable optional
courseLessonParticipationState string Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
performanceScore double Filterable Sortable optional
points integer Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseLessonId":"734dcab7-4f5a-40f6-853e-8e791c2c3e83","userId":"48e6a276-0f22-40f3-8874-0decbe0abfbb","courseLessonParticipationState":"Completed","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","completionRate":1.0,"performanceScore":0.9,"points":2},{"courseLessonId":"0b34afcf-8d62-49ca-b259-4e33038287bd","userId":"5671d916-7b39-4a23-bcf5-a54bfe76d412","courseLessonParticipationState":"Not Started","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","completionRate":0.0,"performanceScore":null,"points":0}]}
object
  count integer      
  ⯈ data array[object]      
   completionRate double      
   courseLessonId string / guid      
   courseLessonParticipationState string      
   creationDateTime datetimeoffset      
   lastModifiedDateTime datetimeoffset      
   performanceScore double      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string